package cn.com.poc.knowledge.service;

import cn.com.poc.knowledge.query.KnowledgeInfosQueryCondition;
import cn.com.poc.knowledge.query.KnowledgeInfosQueryItem;
import cn.com.poc.knowledge.query.KnowledgeQueryItem;
import cn.com.yict.framemax.core.service.BaseService;
import cn.com.poc.knowledge.entity.BizKnowledgeInfoEntity;
import cn.com.yict.framemax.data.model.PagingInfo;

import java.util.Collection;
import java.util.List;

public interface BizKnowledgeInfoService extends BaseService {

    BizKnowledgeInfoEntity get(java.lang.Integer id);

    List<BizKnowledgeInfoEntity> findByExample(BizKnowledgeInfoEntity example, PagingInfo pagingInfo) throws Exception;

    BizKnowledgeInfoEntity save(BizKnowledgeInfoEntity entity) throws Exception;

    BizKnowledgeInfoEntity update(BizKnowledgeInfoEntity entity);

    void deletedById(java.lang.Integer id) throws Exception;

    List<KnowledgeInfosQueryItem> knowledgeInfos(KnowledgeInfosQueryCondition condition, PagingInfo pagingInfo) throws Exception;

    void removeDocument(Integer knowledgeInfoId, Integer kdId);

}